package app.brest.testmin3d;

import android.Manifest;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.location.LocationManager;
import android.support.v4.app.ActivityCompat;
import android.support.v4.content.ContextCompat;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.widget.Toast;

public class PermissionActivity extends AppCompatActivity {
    private int m_nPerm=3;
    static final int PERM_FINE_LOCATION=1337;
    static final int PERM_CAMERA=1338;
    static final int PERM_COARSE_LOCATION=1339;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_permission);






        if (ContextCompat.checkSelfPermission(this,   Manifest.permission.ACCESS_FINE_LOCATION)
                != PackageManager.PERMISSION_GRANTED) {
            ActivityCompat.requestPermissions(this, new String[]{Manifest.permission.ACCESS_FINE_LOCATION},   PERM_FINE_LOCATION);
        } else m_nPerm--;


        if (ContextCompat.checkSelfPermission(this,   Manifest.permission.CAMERA)
                != PackageManager.PERMISSION_GRANTED) {
            ActivityCompat.requestPermissions(this, new String[]{Manifest.permission.CAMERA}, PERM_CAMERA);
        } else m_nPerm--;


        if (ContextCompat.checkSelfPermission(this,   Manifest.permission.ACCESS_COARSE_LOCATION)
                != PackageManager.PERMISSION_GRANTED) {
            ActivityCompat.requestPermissions(this, new String[]{Manifest.permission.ACCESS_COARSE_LOCATION}, PERM_COARSE_LOCATION);
        } else m_nPerm--;

        if(m_nPerm==0)
        {
            Intent intent = new Intent(this, NewMenuActivity.class);
            startActivity(intent);
        }

    }

    public void onRequestPermissionsResult(int requestCode,
                                           String permissions[], int[] grantResults) {
        switch (requestCode) {
            case PERM_FINE_LOCATION:
                if (grantResults.length > 0  && grantResults[0] == PackageManager.PERMISSION_GRANTED)
                    m_nPerm--;
                else finish();
                break;
            case PERM_CAMERA:
                if (grantResults.length > 0  && grantResults[0] == PackageManager.PERMISSION_GRANTED)
                    m_nPerm--;
                else finish();
                break;
            case PERM_COARSE_LOCATION:
                if (grantResults.length > 0  && grantResults[0] == PackageManager.PERMISSION_GRANTED)
                    m_nPerm--;
                else finish();
                break;
        }

        if(m_nPerm==0) {
            Intent intent = new Intent(this, NewMenuActivity.class);
            startActivity(intent);
        }
    }

}
